local StoneGateV3 = ...

-- Apply building asset processor
StoneGateV3:registerAssetProcessor("models/cubicTower.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register all stone gate set building parts and their properties
StoneGateV3:dofile("buildings.lua")

-- Register the stone gate set monument
StoneGateV3:register({
	DataType = "MONUMENT",
	Id = "STONE_GATE_V3_MONUMENT",
	Name = "STONE_GATE_V3_MONUMENT_NAME",
	Description = "STONE_GATE_V3_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "STONE_GATE_V3_GATE_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V3_COREB_ROOT_PART",
	                    "STONE_GATE_V3_COREB_PORTE_PART",
		            "STONE_GATE_V3_COREB_MURET_PART"
                        }
                },
		{
			Name = "STONE_GATE_V3_OCTOGONALTOWER_PARTSETLIST_NAME",
	                BuildingPartList = {
                            "STONE_GATE_V3_COREC_ROOT_PART",
		            "STONE_GATE_V3_COREC_PORTE_PART",
		            "STONE_GATE_V3_COREC_PORTEB_PART"
                        }
                },
		{
			Name = "STONE_GATE_V3_SQUAREDTOWER_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V3_CORED_ROOT_PART",
		            "STONE_GATE_V3_CORED_ROOF_PART",
		            "STONE_GATE_V3_CORED_ROOFB_PART"
                        }
                },
		{
			Name = "STONE_GATE_V3_ENTRANCE_PARTSETLIST_NAME",
	                BuildingPartList = {
 		            "STONE_GATE_V3_DOOR_PART"
                        }
                },
		{
			Name = "STONE_GATE_V3_DECORATION_PARTSETLIST_NAME",
	                BuildingPartList = {
	                    "STONE_GATE_V3_WALL_PORTE_PART",
		            "STONE_GATE_V3_DECORATION_SFENETRE_PART",
		            "STONE_GATE_V3_DECORATION_LFENETRE_PART",
		            "STONE_GATE_V3_DECORATION_ARROWSLIT_PART"
                        }
                }                  
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})